DynamicJava Javadoc: Class OptionsDialog

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.gui
Class OptionsDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--koala.dynamicjava.gui.OptionsDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, ActionMap, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class OptionsDialog
extends javax.swing.JDialog
implements ActionMap

The 'options' dialog

See Also:
  Serialized Form

Inner Class Summary
`protected class` | `OptionsDialog.CancelButtonAction` The action associated with the 'Cancel' button
`protected class` | `OptionsDialog.CPLAddButtonAction` The action associated with the 'add' button of the class path panel
`protected class` | `OptionsDialog.GUIPanel` The GUI option panel
`protected class` | `OptionsDialog.InterpreterPanel` The interpreter option panel
`protected class` | `OptionsDialog.LPLAddButtonAction` The action associated with the 'add' button of the library path panel
`protected class` | `OptionsDialog.OKButtonAction` The action associated with the 'OK' button
`static class` | `OptionsDialog.OptionSet` To save the options
`protected class` | `OptionsDialog.UCOKButtonAction` The action associated with the 'OK' button of the URL chooser

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected static java.util.ResourceBundle` | `bundle` The resource bundle
`protected java.lang.String[]` | `classes` The class path list content when the dialog is shown
`protected StringList` | `classPathList` The classpath list
`protected OptionsDialog.GUIPanel` | `guiPanel` The GUI panel
`protected OptionsDialog.InterpreterPanel` | `interpreterPanel` The interpreter panel
`protected java.lang.String[]` | `libraries` The library path list content when the dialog is shown
`protected StringList` | `libraryPathList` The library path list
`protected java.util.Map` | `listeners` The map that contains the listeners
`protected Main` | `mainFrame` The main frame
`protected static java.lang.String` | `RESOURCE` The resource file name
`protected static ResourceManager` | `rManager` The resource manager
`protected URLChooser` | `urlChooser` The URL chooser

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OptionsDialog(Main owner)` Creates a new dialog

Method Summary
`protected javax.swing.JPanel` | `createButtonsPanel()` Creates the buttons panel
`protected javax.swing.JPanel` | `createClassPathPanel()` Creates the classpath panel
`protected javax.swing.JPanel` | `createGeneralPanel()` Creates the general panel
`protected javax.swing.JPanel` | `createLibraryPathPanel()` Creates the library path panel
`protected javax.swing.JPanel` | `createPathPanel()` Creates the path panel
`protected javax.swing.JTabbedPane` | `createTabbedPane()` Creates the tabbed pane
`javax.swing.Action` | `getAction(java.lang.String key)` Returns the action associated with the given string or null on error
`java.lang.String[]` | `getClassPath()` Returns the classpaths
`java.lang.String` | `getGUIName()` Returns the GUI name
`java.lang.String` | `getInitializationFilename()` The initialization file name
`java.lang.String` | `getInterpreterName()` Returns the interpreter name
`java.lang.String[]` | `getLibraryPath()` Returns the library paths
`OptionsDialog.OptionSet` | `getOptions()` Returns an object that holds the current options
`java.lang.String` | `getStartupInitializationFilename()` The startup initialization file name
`boolean` | `isErrorSelected()` Has the standard error to be redirected?
`boolean` | `isGUIDefined()` Has the GUI to be defined?
`boolean` | `isInitializationSelected()` Is the initialization file option selected?
`boolean` | `isInterpreterDefined()` Has the interpreter to be defined?
`boolean` | `isOutputSelected()` Has the output to be redirected?
`boolean` | `isStartupInitializationSelected()` Is the startup initialization file option selected?
`protected static void` | `setConstraintsCoords(java.awt.GridBagConstraints constraints, int x, int y, int width, int height)`
`void` | `setOptions(OptionsDialog.OptionSet optionSet)` Sets the options according to the given option set

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, setCursor, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCE

    protected static final java.lang.String RESOURCE

  The resource file name

### bundle

    protected static java.util.ResourceBundle bundle

  The resource bundle

### rManager

    protected static ResourceManager rManager

  The resource manager

### classPathList

    protected StringList classPathList

  The classpath list

### libraryPathList

    protected StringList libraryPathList

  The library path list

### urlChooser

    protected URLChooser urlChooser

  The URL chooser

### classes

    protected java.lang.String[] classes

  The class path list content when the dialog is shown

### libraries

    protected java.lang.String[] libraries

  The library path list content when the dialog is shown

### mainFrame

    protected Main mainFrame

  The main frame

### interpreterPanel

    protected OptionsDialog.InterpreterPanel interpreterPanel

  The interpreter panel

### guiPanel

    protected OptionsDialog.GUIPanel guiPanel

  The GUI panel

### listeners

    protected java.util.Map listeners

  The map that contains the listeners

Constructor Detail

### OptionsDialog

    public OptionsDialog(Main owner)

  Creates a new dialog
  Parameters:
    `owner` - the owner of this dialog

Method Detail

### getAction

    public javax.swing.Action getAction(java.lang.String key)
                                 throws MissingListenerException

  Returns the action associated with the given string or null on error
  Specified by:
    `getAction` in interface `ActionMap`
  Parameters:
    `key` - the key mapped with the action to get
  Throws:
    `MissingListenerException` - if the action is not found

### getClassPath

    public java.lang.String[] getClassPath()

  Returns the classpaths

### getLibraryPath

    public java.lang.String[] getLibraryPath()

  Returns the library paths

### getInterpreterName

    public java.lang.String getInterpreterName()

  Returns the interpreter name

### isInterpreterDefined

    public boolean isInterpreterDefined()

  Has the interpreter to be defined?

### isInitializationSelected

    public boolean isInitializationSelected()

  Is the initialization file option selected?

### getInitializationFilename

    public java.lang.String getInitializationFilename()

  The initialization file name

### getGUIName

    public java.lang.String getGUIName()

  Returns the GUI name

### isGUIDefined

    public boolean isGUIDefined()

  Has the GUI to be defined?

### isOutputSelected

    public boolean isOutputSelected()

  Has the output to be redirected?

### isErrorSelected

    public boolean isErrorSelected()

  Has the standard error to be redirected?

### isStartupInitializationSelected

    public boolean isStartupInitializationSelected()

  Is the startup initialization file option selected?

### getStartupInitializationFilename

    public java.lang.String getStartupInitializationFilename()

  The startup initialization file name

### getOptions

    public OptionsDialog.OptionSet getOptions()

  Returns an object that holds the current options

### setOptions

    public void setOptions(OptionsDialog.OptionSet optionSet)

  Sets the options according to the given option set

### createTabbedPane

    protected javax.swing.JTabbedPane createTabbedPane()

  Creates the tabbed pane

### createGeneralPanel

    protected javax.swing.JPanel createGeneralPanel()

  Creates the general panel

### createPathPanel

    protected javax.swing.JPanel createPathPanel()

  Creates the path panel

### createClassPathPanel

    protected javax.swing.JPanel createClassPathPanel()

  Creates the classpath panel

### createLibraryPathPanel

    protected javax.swing.JPanel createLibraryPathPanel()

  Creates the library path panel

### createButtonsPanel

    protected javax.swing.JPanel createButtonsPanel()

  Creates the buttons panel

### setConstraintsCoords

    protected static void setConstraintsCoords(java.awt.GridBagConstraints constraints,
                                               int x,
                                               int y,
                                               int width,
                                               int height)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.